### Function

# AppStream utils_is_desktop_environment

since: 0.10.0

#### Declaration [src]

    gboolean
    as_utils_is_desktop_environment (
      const gchar* de_id
    )

#### Description [src]

Checks if the submitted desktop environment ID is known and valid.

Available since: 0.10.0

#### Parameters

`de_id`

  Type: `const gchar*`

  A desktop environment id.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the desktop-id is valid.